std::bad_cast Class Reference
Inheritance diagram for std::bad_cast:
[legend]

## Public Member Functions

virtual const char * | what () const noexcept

## Detailed Description

Thrown during incorrect typecasting.

If you attempt an invalid `dynamic_cast` expression, an instance of this class (or something derived from this class) is thrown.

Definition at line 220 of file typeinfo.

## Member Function Documentation

## what()

virtual const char* std::bad_cast::what | ( |  | ) | const

virtual noexcept

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Reimplemented in std::experimental::fundamentals_v1::bad_any_cast, and std::bad_any_cast.

The documentation for this class was generated from the following file:

- typeinfo